class ColumnsController < ApplicationController
  before_action :authenticate_user!
  before_action :set_list
  before_action :set_column, only: [:edit, :update, :destroy]

  def new
    @column = @list.columns.new
  end

  def edit
  end

  def create
    @column = @list.columns.new(column_params)

    if @column.save
      redirect_to @list, notice: 'Column was successfully created.'
    else
      render :new
    end
  end

  def update
    if @column.update(column_params)
      redirect_to @list, notice: 'Column was successfully updated.'
    else
      render :edit
    end
  end

  def destroy
    @column.destroy
    redirect_to @list, notice: 'Column was successfully destroyed.'
  end

  private

  def set_list
    @list = current_company.lists.includes(:columns).find(params[:list_id])
  end

  def set_column
    @column = @list.columns.find(params[:id])
  end

  def column_params
    params.require(:column).permit(:list_id, :name)
  end
end
